### Method

# Gtk Text set_attributes

#### Declaration [src]

    void
    gtk_text_set_attributes (
      GtkText* self,
      PangoAttrList* attrs
    )

#### Description [src]

Apply attributes to the contents of the text widget.

Sets property | `Gtk.Text:attributes`

#### Parameters

`attrs`

  Type: `PangoAttrList`

  A list of style attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.